Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTable::Table_var Class Reference

`#include <IORTableC.h>`

Inheritance diagram for IORTable::Table_var:

[legend]
Collaboration diagram for IORTable::Table_var:

[legend]
List of all members.

## Public Methods
| Table_var (void)
| Table_var (Table_ptr p)
| Table_var (const Table_var &)
| ~Table_var (void)
Table_var & | operator= (Table_ptr)
Table_var & | operator= (const Table_var &)
Table_ptr | operator-> (void) const
| operator const Table_ptr & () const
| operator Table_ptr & ()
Table_ptr | in (void) const
Table_ptr & | inout (void)
Table_ptr & | out (void)
Table_ptr | _retn (void)
Table_ptr | ptr (void) const
## Static Public Methods
Table_ptr | tao_duplicate (Table_ptr)
void | tao_release (Table_ptr)
Table_ptr | tao_nil (void)
Table_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Table_var (const TAO_Base_var &rhs)
Table_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Table_ptr | ptr_

## Constructor & Destructor Documentation

IORTable::Table_var::Table_var | ( | void |  | ) |

IORTable::Table_var::Table_var | ( | Table_ptr | p | ) | `[inline]`

IORTable::Table_var::Table_var | ( | const Table_var & |  | ) |

IORTable::Table_var::~Table_var | ( | void |  | ) |

IORTable::Table_var::Table_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Table_ptr IORTable::Table_var::_retn | ( | void |  | ) |

Table_ptr IORTable::Table_var::in | ( | void |  | ) | const

Table_ptr& IORTable::Table_var::inout | ( | void |  | ) |

IORTable::Table_var::operator const Table_ptr & | ( |  | ) | const

IORTable::Table_var::operator Table_ptr & | ( |  | ) |

Table_ptr IORTable::Table_var::operator-> | ( | void |  | ) | const

Table_var& IORTable::Table_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Table_var& IORTable::Table_var::operator= | ( | const Table_var & |  | ) |

IORTable::Table_var & IORTable::Table_var::operator= | ( | Table_ptr | p | ) |

Table_ptr& IORTable::Table_var::out | ( | void |  | ) |

IORTable::Table_ptr IORTable::Table_var::ptr | ( | void |  | ) | const

Table_ptr IORTable::Table_var::tao_duplicate | ( | Table_ptr |  | ) | `[static]`

Table_ptr IORTable::Table_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Table_ptr IORTable::Table_var::tao_nil | ( | void |  | ) | `[static]`

void IORTable::Table_var::tao_release | ( | Table_ptr |  | ) | `[static]`

CORBA::Object* IORTable::Table_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Table_ptr IORTable::Table_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IORTableC.h
- IORTableC.cpp